#compDivContent
	@import "./popup.styl"

	
	.text-line
		background-color: transparent
		border: none
		position: relative
		border-bottom: 1px solid #9e9e9e
		border-radius: 0
		outline: none
		display: inline-block
		width: calc(100% - 10px)
		font-size: 110%
		line-height: 140%
		min-height: 1.5em
		margin: 1.2rem 0 1.2rem 0
		padding-bottom: 3px
		box-shadow: none
		box-sizing: content-box
		padding: 0 3px
		
	.text-line:not([data-error])
		max-height 6rem
		overflow-y auto

	.text-line + label
		font-size: 1rem
	
	.text-line:not(:empty)+label, .text-line:focus+label
		-webkit-transform: translateY(-120%)
		transform: translateY(-120%)

	input.text-line:not([value=""])+label	
		-webkit-transform: translateY(-120%) !important
		transform: translateY(-120%) !important

	.text-line[data-validate="required"]+label:after, label[data-required]:after
		content: " * "
		color  : red
		font-size: 1.1rem
	
	*[data-error]
		border-bottom 1px solid red !important
		position relative

	img[data-error]
		border 1px solid red !important
		
	*[data-error]:after
		content attr(data-error)
		color red
		position absolute
		top  2rem
		right 0px
	
	.text-line:not(:focus):empty+label
		-webkit-transform: translateY(0%)
		transform: translateY(0%)

	.text-line:focus 
		border-bottom 1px solid $base-color
		box-shadow 0 1px 0 0 $base-color
	
	.text-line:focus+label
		color: $base-color
	
	.text-box
		background-color: transparent
		position: relative
		border: 1px solid #9e9e9e
		border-radius: 0
		outline: none
		display: inline-block
		width: calc(100% - 10px)
		font-size: 110%
		line-height: 140%
		min-height: 5em
		margin: 1.2rem 0 1.2rem 0
		padding-bottom: 3px
		padding: 0 3px
		
	
	*[data-type="inputTags"] .tags .jrnlSuffix, *[data-type="inputTags"] .tags .jrnlRole
		display none
	
	
	*[data-type="popUp"][data-component*="_edit"] label
		left:0
		font-size:1rem
	
	*[data-type="popUp"][data-component*="_edit"] label:not([for])
		pointer-events:none
	
	span[data-placeholder]:not(:empty):focus:before 
		content: attr(data-placeholder)
		position: absolute
		top: -0.2rem
		font-size: 0.7rem
		color: #26a69a
		font-style: normal
		-webkit-transform: translateY(-140%)
		transform: translateY(-140%)
		transition: .2s ease-out
	
	span[data-placeholder]:empty:after 
		content:attr(data-placeholder)
		color: #9e9e9e

	span[data-placeholder][data-error]:empty:after
		color: red
		top: 0px
		position: initial
